package net.vtstar.zhongtong.avi.equipment.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * @Author: xiadongwei
 * @Date: 2019/11/20 17:30
 */
@ApiModel("设备状态记录表")
@Data
@Table(name = "equip_status_record")
public class EquipStatusRecord {

    @Id
    private Long id;

    @Column(name = "equip_type")
    private String equipType;

    @ApiModelProperty(notes = "设备名称")
    @Column(name = "equip_code")
    private String equipCode;

    @ApiModelProperty(notes = "状态")
    @Column(name = "equip_status")
    private String equipStatus;

    @ApiModelProperty(notes = "开始时间")
    @Column(name = "begin_time")
    private Date beginTime;

    @ApiModelProperty(notes = "结束时间")
    @Column(name = "end_time")
    private Date endTime;

}
