package net.vtstar.zhongtong.avi.sqlserver.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Table;
import java.util.Date;

/**
 * @Author: xiadongwei
 * @Date: 2019/10/29 9:31
 */
@ApiModel("焊装车间工单表")
@Data
@Table(name = "mes_hz_work_order")
public class MesHZWorkOrderInfo {

    @ApiModelProperty(notes = "销售订单号")
    @Column(name = "SaleOrderNo")
    private String salesOrderNo;

    @ApiModelProperty(notes = "主计划工单号")
    @Column(name = "PlannedOrderNo")
    private String masterWorkOrderNo;

    @ApiModelProperty(notes = "车间计划工单号")
    @Column(name = "WONo")
    private String workOrderNo;

    @ApiModelProperty(notes = "开始时间")
    @Column(name = "RealStartTime")
    private String realStartTime;

    @ApiModelProperty(notes = "结束时间")
    @Column(name = "RealEndTime")
    private String realEndTime;
}
